=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_SOURCE
export DEB_VERSION

%:
	dh $@
